### Class method

# Gtk WidgetClass set_activate_signal

#### Declaration [src]

    void
    gtk_widget_class_set_activate_signal (
      WidgetClass* self
    )

#### Description [src]

Sets the `GtkWidgetClass.activate_signal` field with the given `signal_id`.

The signal will be emitted when calling gtk_widget_activate().

The `signal_id` must have been registered with `g_signal_new()` or g_signal_newv() before calling this function.